/**
 * @author      ETSI / STF481 / Yann Garcia
 * @version     $URL$
 *              $Id$
 */
package org.etsi.ttcn.codec.its.security;

import org.etsi.ttcn.codec.MainCodec;
import org.etsi.ttcn.codec.generic.Integer;

public class Time64 extends Integer {
    
    public Time64(MainCodec mainCodec) {
        super(mainCodec);
        setLengths();
    }

    private void setLengths() {
        mainCodec.setHint("Time64Len", "64"); 
        mainCodec.setHint("HeaderFieldContainer.generation_timeLen", "64"); 
    }
    
} // End of class Time64